%define	tcl_major	8.3
%define tk_major	8.3
%define	tclx_major	8.3
%define expect_major	5.32
%define tix_major	8.2.0

%define	tclvers		%{tcl_major}.3
%define tkvers		%{tk_major}.3
%define tclxvers	%{tclx_major}
%define	expvers		%{expect_major}.2
%define	tixvers		%{tix_major}b1
%define	itclvers	3.2
%define tcllibvers	1.0

Summary: A Tcl/Tk development environment: tcl, tk, tix, tclX, expect, and itcl.
Name: tcltk
Version: %{tclvers}
Release: 65
Source0: ftp://tcl.activestate.com/pub/tcl/tcl8_3/tcl%{tclvers}.tar.bz2
Source1: ftp://tcl.activestate.com/pub/tcl/tcl8_3/tk%{tclvers}.tar.bz2
Source2: ftp://tcl.activestate.com/pub/tcl/expect/expect%{expvers}.tar.bz2
Source3: ftp://tcl.activestate.com/pub/tcl/tclx/tclx%{tclxvers}.tar.bz2
Source4: http://prdownloads.sourceforge.net/tixlibrary/tix%{tixvers}.tar.bz2
Source5: ftp://tcl.activestate.com/pub/tcl/itcl/itcl%{itclvers}.tar.bz2
Source6: http://prdownloads.sourceforge.net/tcllib/tcllib-%{tcllibvers}.tar.bz2
Patch0: tcl-8.3.3-cruft.patch
Patch1: tcl-8.3.3-heiierarchy.patch
Patch2: tcl-8.3.3-makecfg.patch
Patch3: tcl-8.3.3-refcount.patch
Patch4: tcl-8.3.3-dlopen.patch
Patch10: expect-5.32.2-random.patch
Patch11: expect-5.32.2-alpha.patch
Patch12: expect-5.32.2-kibitz.patch
Patch13: expect-5.32.2-fixcat.patch
Patch14: expect-5.32.2-weather.patch
Patch15: expect-5.32.2-makecfg.patch
Patch16: expect-5.32.2-spawn.patch
Patch17: expect-5.32.2-expectk.patch
Patch20: tix-8.2.0b1-perf.patch
Patch21: tix-8.2.0b1-makecfg.patch
Patch22: tix-8.2.0b1-dirtree.patch
Patch30: itcl-3.2-symlink.patch
Patch31: itcl-3.2-makecfg.patch
Patch40: tclx-8.3-makecfg.patch
Patch41: tclx-8.3-argv.patch
Patch42: tclx-8.3-varinit.patch
Patch50: tk-8.3.3-makecfg.patch
BuildRequires: libtool, Xaw3d-devel, util-linux, perl
License: BSD
Group: Development/Languages
Buildroot: %{_tmppath}/%{name}-%{version}

%description
Tcl is a simple scripting language designed to be embedded into other
applications.  Tcl is designed to be used with Tk, a widget set.

%package -n tcl
Version: %{tclvers}
Summary: Tcl scripting language development environment
Group: Development/Languages
%ifarch ia64 sparc64
Provides: libtcl8.3.so()(64bit), libtcl.so()(64bit), libtcl.so.0()(64bit)
%else
Provides: libtcl8.3.so, libtcl.so, libtcl.so.0
%endif
URL: http://tcl.activestate.com/

%description -n tcl
The Tcl (Tool Command Language) provides a powerful platform for creating
integration applications that tie together diverse applications, protocols,
devices, and frameworks. Tcl can also be used for a variety of web-related
tasks and for creating powerful command languages for applications.

%package -n tk
Version: %{tkvers}
Summary: Tk graphical toolkit for the Tcl scripting language
Group: Development/Languages
%ifarch ia64 sparc64
Provides: libtk8.3.so()(64bit), libtk.so()(64bit), libtk.so.0()(64bit)
%else
Provides: libtk8.3.so, libtk.so, libtk.so.0
%endif
URL: http://tcl.activestate.com/

%description -n tk
When paired with the Tcl scripting language, Tk provides a fast and powerful
way to create GUI applications that run on Linux as well as Windows, Unix,
and the Macintosh.

%package -n expect
Version: %{expvers}
Summary: A program-script interaction and testing utility
Group: Development/Languages
URL: http://sourceforge.net/projects/expect

%description -n expect
Expect is a tcl application for automating and testing interactive applications
such as telnet, ftp, passwd, fsck, rlogin, tip, etc. Expect makes it easy for a
script to control another program and interact with it.

%package -n tclx
Version: %{tclxvers}
Summary: Extensions for Tcl
Group: Development/Languages
URL: http://sourceforge.net/projects/tclx

%description -n tclx
Extended Tcl (TclX), is a set of extensions to Tcl embeddable programming
language.  Extended Tcl is oriented towards system programming tasks and
large application development.  TclX provides additional interfaces to the
operating system, and adds many new programming constructs, text manipulation
tools, and debugging tools.

%package -n tix
Version: %{tixvers}
Summary: A set of extension widgets for Tk
Group: Development/Languages
%ifarch ia64 sparc64
Provides: libtix4.1.8.3.so()(64bit), libtix.so()(64bit), libtix.so.0()(64bit)
%else
Provides: libtix4.1.8.3.so, libtix.so, libtix.so.0
%endif
URL: http://tixlibrary.sourceforge.net/

%description -n tix
Tix (Tk Interface Extension), an add-on for the Tk widget set, is an
extensive set of over 40 widgets.  In general, Tix widgets are more
complex and more capable than the widgets provided in Tk.  Tix widgets
include a ComboBox, a Motif-style FileSelectBox, an MS Windows-style
FileSelectBox, a PanedWindow, a NoteBook, a hierarchical list, a
directory tree and a file manager.

%package -n itcl
Version: %{itclvers}
Summary: Tcl object-oriented extensions
Group: Development/Languages
URL: http://www.tcltk.com/itcl/

%description -n itcl
[incr Tcl] is an object-oriented extension of the Tcl language.  It was
created to support more structured programming in Tcl.  Tcl scripts that
grow beyond a few thousand lines become extremely difficult to maintain.
This is because the building blocks of vanilla Tcl are procedures and global
variables, and all of these building blocks must reside in a single global
namespace.  There is no support for protection or encapsulation.

%package -n tcllib
Version: %{tcllibvers}
Summary: the Tcl Standard Library
Group: Development/Libraries
URL: http://tcl.activestate.com/software/tcllib/

%description -n tcllib
Tcllib is a collection of utility modules for Tcl. These modules provide a wide
variety of functionality, from implementations of standard data structures to
implementations of common networking protocols. The intent is to collect
commonly used function into a single library, which users can rely on to be
available and stable. 

%prep

%setup -q -c -a 1 -a 2 -a 3 -a 4 -a 5 -a 6

cd tcl%{tclvers}
%patch0 -p1 -b .cruft
%patch1 -p1 -b .heiiearchy
%patch2 -p1 -b .makecfg
%patch3 -p1 -b .refcount
%patch4 -p1 -b .dlopen
cd ..

cd expect%{expect_major}
%patch10 -p1 -b .random
%patch11 -p1 -b .alpha
%patch12 -p1 -b .kibitz
%patch13 -p1 -b .fixcat
%patch14 -p1 -b .weather
%patch15 -p1 -b .makecfg
%patch16 -p1 -b .spawn
%patch17 -p1 -b .expectk
cd ..

cd tix%{tix_major}
%patch20 -p1 -b .perf
%patch21 -p1 -b .makecfg
%patch22 -p1 -b .dirtree
cd ..

cd itcl%{itclvers}
%patch30 -p1 -b .symlink
%patch31 -p1 -b .makecfg
cd ..

cd tclx%{tcl_major}
%patch40 -p1 -b .makecfg
%patch41 -p1 -b .argv
%patch42 -p1 -b .varinit
cd ..

cd tk%{tkvers}
%patch50 -p1 -b .makecfg
cd ..

#==========================================
%build

#------------------------------------------
# Tcl
#
cd tcl%{tclvers}/unix
%configure --enable-gcc --enable-64bit
make
cd ../..

#------------------------------------------
# Tk
#
cd tk%{tclvers}/unix
%configure --enable-gcc --with-tcl=../../tcl%{tclvers}/unix --enable-64bit --with-x
make
cd ../..

#------------------------------------------
# tclX
#
cd tclx%{tclx_major}/unix
%configure --enable-tk=YES --with-tcl=../../tcl%{tclvers}/unix --with-tk=../../tk%{tkvers}/unix --enable-gcc --enable-64bit
make
cd ../..

#------------------------------------------
# Expect
#
cd expect%{expect_major}
chmod u+w testsuite/configure
%configure --with-tcl=../tcl%{tclvers}/unix --with-tk=../tk%{tclvers}/unix --with-tclinclude=../tcl%{tclvers}/generic --enable-shared --with-x=yes --with-tkinclude=../tk%{tclvers}/generic --enable-gcc
make
cd ..

#------------------------------------------
# Tix
#
cd tix%{tix_major}/unix
%configure --enable-gcc --with-tcl=../../tcl%{tclvers}/unix --with-tk=../../tk%{tkvers}/unix
make
cd ../..

#------------------------------------------
# Itcl
#
cd itcl%{itclvers}
%configure --enable-gcc --with-tcl=../../tcl%{tclvers}/unix --with-tk=../../tk%{tkvers}/unix --enable-shared
make
cd ..

#------------------------------------------
# tcllib
#
cd tcllib-%{tcllibvers}
%configure
make
cd ../..

#==========================================

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
rm -f *.files

#------------------------------------------
# Tcl
#
cd tcl%{tclvers}/unix
%makeinstall
cd ../..

# XXX: compat crud for RHL 7.x's Tcl/Tk 8.3
ln -sf libtcl.so.0 ${RPM_BUILD_ROOT}%{_libdir}/libtcl%{tcl_major}.so
ln -sf tcl%{tcl_major} ${RPM_BUILD_ROOT}%{_libdir}/tcl

echo "%%defattr(-,root,root)" > tcl.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - *.files \
	| sort | uniq -u >> tcl.files

#------------------------------------------
# Tk
#
cd tk%{tkvers}/unix
%makeinstall
cd ../..

# XXX: compat crud for RHL 7.x's Tcl/Tk 8.3
ln -sf libtk.so.0 ${RPM_BUILD_ROOT}%{_libdir}/libtk%{tk_major}.so
ln -sf tk%{tk_major} ${RPM_BUILD_ROOT}%{_libdir}/tk

echo "%%defattr(-,root,root)" > tk.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - *.files \
	| sort | uniq -u >> tk.files

#------------------------------------------
# TclX
#
cd tclx%{tclxvers}/unix
%makeinstall
cd ../..

# XXX: compat crud for RHL 7.x's Tcl/Tk 8.3
ln -sf tclX%{tclx_major} ${RPM_BUILD_ROOT}%{_libdir}/tclX
ln -sf tkX%{tclx_major} ${RPM_BUILD_ROOT}%{_libdir}/tkX

if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi

echo "%%defattr(-,root,root)" > tclx.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - *.files \
	| sort | uniq -u >> tclx.files

#------------------------------------------
# Expect
#
cd expect%{expect_major}
%makeinstall
cd ..

# XXX: compat crud for RHL 7.x's Tcl/Tk 8.3
ln -sf expect%{expect_major} ${RPM_BUILD_ROOT}%{_libdir}/expect

# remove cryptdir/decryptdir, as Linux has no crypt command (bug 6668).
rm -f ${RPM_BUILD_ROOT}%{_bindir}/{cryptdir,decryptdir}
rm -f ${RPM_BUILD_ROOT}%{_mandir}/man1/{cryptdir,decryptdir}.1*

echo "%%defattr(-,root,root)" > expect.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - *.files \
	| sort | uniq -u >> expect.files

set +x +H
for n in `cat expect.files`; do
	test -f $n || continue
	head -1 $n | grep -q ^#! || continue
	chmod u+w $n
	perl -pi -e "s|${RPM_BUILD_ROOT}||" $n
done
set -x -H

#------------------------------------------
# Tix
#
cd tix%{tix_major}/unix
%makeinstall
cd ../..

# XXX: compat crud for RHL 7.x's Tcl/Tk 8.3
ln -sf libtix.so.0 ${RPM_BUILD_ROOT}%{_libdir}/libtix4.1.8.3.so
ln -sf tix8.2 ${RPM_BUILD_ROOT}%{_libdir}/tix

if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi

echo "%%defattr(-,root,root)" > tix.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - *.files \
	| sort | uniq -u >> tix.files

#------------------------------------------
# Itcl
#
cd itcl%{itclvers}
%makeinstall
cd ..

# XXX: compat crud for RHL 7.x's Tcl/Tk 8.3
ln -sf itcl%{itclvers} ${RPM_BUILD_ROOT}%{_libdir}/itcl
ln -sf itk%{itclvers} ${RPM_BUILD_ROOT}%{_libdir}/itk

if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi

echo "%%defattr(-,root,root)" > itcl.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - *.files \
	| sort | uniq -u >> itcl.files

set +x +H
for n in `cat itcl.files`; do
	[ -f $n ] || continue
	head -1 $n | grep -q ^#! || continue
	chmod u+w $n
	perl -pi -e "s|${RPM_BUILD_ROOT}||" $n
done
set -x -H

#------------------------------------------
# Tcllib
#
cd tcllib-%{tcllibvers}
%makeinstall
cd ..

if [ "%_mandir" = "%{_prefix}/share/man" ]; then
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; tar cf - ./man[13n] ) | 
   ( cd ${RPM_BUILD_ROOT}%{_mandir}; tar xf - )
   ( cd ${RPM_BUILD_ROOT}%{_prefix}/man; rm -rf ./man[13n] )
fi

echo "%%defattr(-,root,root)" > tcllib.files
(find ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_includedir} \
	${RPM_BUILD_ROOT}%{_mandir} -type f -o -type l;
 find ${RPM_BUILD_ROOT}%{_libdir}/*) | cat - *.files \
	| sort | uniq -u >> tcllib.files

#------------------------------------------
# post process the *.files list, removing build sys references and mark
# which are directories

set +x
for n in *.files; do
	mv $n $n.in
	sed "s|.*%{_prefix}\\>|%{_prefix}|" < $n.in | while read file; do
	    if [ -d ${RPM_BUILD_ROOT}/$file ]; then
		echo -n '%dir '
	    fi
	    echo $file
	done > $n
	rm -f $n.in
done
set -x

# Man pages can be compressed
perl -pi -e 's|(^%{_mandir}/man.*$)|\1\*|' *.files

#==========================================
%post -p /sbin/ldconfig -n tcl
%post -p /sbin/ldconfig -n tk
%post -p /sbin/ldconfig -n expect
%post -p /sbin/ldconfig -n tclx
%post -p /sbin/ldconfig -n tix
%post -p /sbin/ldconfig -n itcl
%post -p /sbin/ldconfig -n tcllib

%postun -p /sbin/ldconfig -n tcl
%postun -p /sbin/ldconfig -n tk
%postun -p /sbin/ldconfig -n expect
%postun -p /sbin/ldconfig -n tclx
%postun -p /sbin/ldconfig -n tix
%postun -p /sbin/ldconfig -n itcl
%postun -p /sbin/ldconfig -n tcllib

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f *.files

%files -f tcl.files -n tcl
%files -f tk.files -n tk
%files -f tclx.files -n tclx
%files -f expect.files -n expect
%files -f tix.files -n tix
%files -f itcl.files -n itcl
%files -f tcllib.files -n tcllib

%changelog
* Mon Aug 29 2001 Adrian Havill <havill@redhat.com>
- hard-coded the compat symlink for tix libdir. (bug 52812)

* Mon Aug 28 2001 Adrian Havill <havill@redhat.com>
- fixed itkwish/itclsh lib problem (bug 52608)
- make itcl install not need tclsh/wish during config/make (bug 52606)
- expect's fixline1 busted for expectk scripts (tkpasswd/tknewsbiff/tkterm)

* Mon Aug  8 2001 Adrian Havill <havill@redhat.com>
- changed rev for tcllib to 1.0
- added execute bit mode for itclsh and itksh compat shells
- re-enable glibc string and math inlines; recent gcc is a-ok.
- optimize at -O2 instead of -O
- rename "soname" patches related to makefile/autoconf changes
- added elf "needed" for tk, tclx, tix, itk
- removed warnings from tclX

* Wed Jul 25 2001 Adrian Havill <havill@redhat.com>
- added itclsh/itkwish for backwards compatibility, fixed rpath (bug 46086)
- fixed 64 bit RPM provides for dependencies

* Thu Jul 19 2001 Adrian Havill <havill@redhat.com>
- updated tclX to the latest version
- fixed tclX 8.3's busted help install
- eliminated make TK_LIB kludge for multiple math libs for tclX
- used %%makeinstall to brute force fix any remaining unflexible makefile dirs
- fixed bad ref count release in tcl (bug 49406)
- improved randomness of expect's mkpasswd script via /dev/random (bug 9507)
- revert --enable-threads, linux is (still) not ready (yet) (bug 49251)
- fixed DirTree in Tix (bug 45570)

* Sun Jul  8 2001 Adrian Havill <havill@redhat.com>
- refresh all sources to latest stable (TODO: separate expect/expectk)
- massage out some build stuff to patches (TODO: libtoolize hacked constants)
- remove patches already rolled into the upstream
- remove unneeded autopasswd
- removed RPATH (bugs 45569, 46085, 46086), added SONAMEs to ELFs
- changed shared object filenames to something less gross
- fixed tclX shell's argv parsing (bug 47710)
- reenable threads which seem to work now
- added all necessary header files for itcl (bug 41374)
- fixed spawn/eof read problem with expect (bug 43310)
- made compile-friendly for IA64

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild for 7.2.

* Fri Mar 23 2001 Bill Nottingham <notting@redhat.com>
- bzip2 sources

* Mon Mar 19 2001 Bill Nottingham <notting@redhat.com>
- build with -D_GNU_SOURCE - fixes expect on ia64

* Mon Mar 19 2001 Preston Brown <pbrown@redhat.com>
- build fix from ahavill.

* Wed Feb 21 2001 Tim Powers <timp@redhat.com>
- fixed weather expect script using wrong server (#28505)

* Tue Feb 13 2001 Adrian Havill <havill@redhat.com>
- added "ja_JP.eucJP" to locale list for tcl

* Tue Feb 13 2001 Adrian Havill <havill@redhat.com>
- rebuild so make check passes

* Fri Oct 20 2000 Than Ngo <than@redhat.com>
- rebuild with -O0 on alpha (bug #19461)

* Thu Aug 17 2000 Jeff Johnson <jbj@redhat.com>
- summaries from specspo.

* Tue Aug  8 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- remove symlink to libtixsam.so

* Thu Aug  3 2000 Jeff Johnson <jbj@redhat.com>
- merge "best known" patches from searching, stubs were broken.
- tix needs -fwritable-strings (#14352).
- create tixwish symlink.

* Thu Jul 27 2000 Jeff Johnson <jbj@redhat.com>
- rebuild against "working" util-linux col.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 16 2000 Jeff Johnson <jbj@redhat.com>
- make sure that tix shared libraries are installed.
- don't mess with %%{_libdir}, it's gonna be a FHS pita.

* Sat Jun 10 2000 Jeff Johnson <jbj@redhat.com>
- move, not symlink, unix/tk8.0 to generate Tix pkgIndex.tcl correctly (#11940).

* Tue Jun  6 2000 Jeff Johnson <jbj@redhat.com>
- tclX had wrong version.

* Fri Jun  2 2000 Jeff Johnson <jbj@redhat.com>
- FHS packaging changes.
- revert --enable-threads, linux is not ready (yet) (#11789).
- tcl/tk: update to 8.3.1 (#10779).
- expect: update to 5.31.7+ (#11595).
- add tcllib-0.4.
- abstract major tcltk version for soname expansion etc.

* Sat Mar 18 2000 Jeff Johnson <jbj@redhat.com>
- update to (tcl,tk}-8.2.3, expect-5.31, and itcl-3.1.0, URL's as well.
- use perl to drill out pre-pended RPM_BUILD_ROOT.
- configure with --enable-threads (experimental).
- improved version of autopasswd (#4788).
- autopasswd needs to handle password starting with hyphen (#9917).
- handle 553 ftp status in rftp expect script (#7869).
- remove cryptdir/decryptdir, as Linux has not crypt command (#6668).
- correct hierarchy spelling (#7082).
- fix "expect -d ...", format string had int printed as string (#7775).

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Mon Feb  7 2000 Bill Nottingham <notting@redhat.com>
- handle compressed manpages

* Thu Feb 03 2000 Elliot Lee <sopwith@redhat.com>
- Make changes from bug number 7602
- Apply patch from bug number 7537
- Apply fix from bug number 7157
- Add fixes from bug #7601 to the runtcl patch

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions
- man pages are compressed (whatapain)

* Tue Nov 30 1999 Jakub Jelinek <jakub@redhat.com>
- fix tclX symlinks.
- compile on systems where SIGPWR == SIGLOST.

* Sat May  1 1999 Jeff Johnson <jbj@redhat.com>
- update tcl/tk to 8.0.5.
- avoid "containing" in Tix (#2332).

* Thu Apr  8 1999 Jeff Johnson <jbj@redhat.com>
- use /usr/bin/write in kibitz (#1320).
- use cirrus.sprl.umich.edu in weather (#1926).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 28)

* Mon Mar 08 1999 Preston Brown <pbrown@redhat.com>
- whoops, exec-prefix for itcl was set to '/foo', changed to '/usr'.

* Tue Feb 16 1999 Jeff Johnson <jbj@redhat.com>
- expect does unaligned access on alpha (#989)
- upgrade tcl/tk/tclX to 8.0.4
- upgrade expect to 5.28.
- add itcl 3.0.1

* Tue Jan 12 1999 Cristian Gafton <gafton@redhat.com>
- call libtoolize to allow building on the arm
- build for glibc 2.1
- strip binaries

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update tcl/tk/tclX to 8.0.3, expect is updated also.

* Mon Jun 29 1998 Jeff Johnson <jbj@redhat.com>
- expect: mkpasswd needs delay before sending password (problem #576)

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed expect binaries exec permissions

* Thu Apr 09 1998 Erik Troan <ewt@redhat.com>
- updated to Tix 4.1.0.006
- updated version numbers of tcl/tk to relflect includsion of p2

* Wed Mar 25 1998 Cristian Gafton <gafton@redhat.com>
- updated tcl/tk to patch level 2
- updated tclX to 8.0.2

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed filelist for tix... replacing path to the expect binary in scripts
  was leaving junk files around.

* Wed Oct 22 1997 Otto Hammersmith <otto@redhat.com>
- added patch to remove libieee test in configure.in for tcl and tk.
  Shoudln't be needed anymore for glibc systems, but this isn't the "proper" 
  solution for all systems
- fixed src urls

* Mon Oct 06 1997 Erik Troan <ewt@redhat.com>
- removed version numbers from descriptions

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- updated to tcl/tk 8.0 and related versions of packages

* Tue Jun 17 1997 Erik Troan <ewt@redhat.com>
- built against glibc
- fixed dangling tclx/tkx symlinks
